#include "1602.h"
#include "delay.h"

void Output_Config(){
	GPIOE->CRL&=0x00000000;
	GPIOE->CRL|=0x33333333;
}

void L1602_GPIO_Init(){
	RCC->APB2ENR|=1<<(2+4);
	Output_Config();
	RCC->APB2ENR|=1<<(2+2);
	GPIOC->CRL&=0xFFFF0000;
	GPIOC->CRL|=0x00003333;
}

void WriteCmd(u8 cmd){
	NEN;
	RSL;
	RWW;
	SEND(cmd);
	EN;
	delay_us(1000);
	NEN;
}

void WriteData(u8 data){	
	NEN;
	RSH;
	RWW;
	SEND(data);
	EN;
	delay_us(1000);
	NEN;
}

void L1602_Init(){
	WriteCmd(0x38);
	WriteCmd(0x0F);
	WriteCmd(0x06);
	WriteCmd(0x01);
	WriteCmd(0x80);
}
